com.h3c.of.lib.mp

## Class MBodyPortStats.MutableArray

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyList<MBodyPortStats>
    - - com.h3c.of.lib.mp.MBodyPortStats.Array
      - - com.h3c.of.lib.mp.MBodyPortStats.MutableArray

- All Implemented Interfaces:
    MultipartBody, MutableObject, MutableStructure, Structure
  Enclosing class:
    MBodyPortStats

      public static class MBodyPortStats.MutableArray
      extends MBodyPortStats.Array
      implements MutableStructure

  A mutable array of port stats elements.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MBodyPortStats.MutableArray` | `addPortStats(MBodyPortStats stats)` Adds a port stats object to this mutable array.
    `OpenflowStructure` | `toImmutable()` Returns an immutable instance of this structure.
    `String` | `toString()`
    `boolean` | `writable()` Returns true if this mutable object is still writable.

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyPortStats.Array

      `getElementClass, toDebugString`

    - ### Methods inherited from class com.h3c.of.lib.mp.MBodyList

      `getList, getTotalLength, getVersion`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion, toDebugString`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

- - ### Method Detail

    - #### toImmutable

          public OpenflowStructure toImmutable()

      Description copied from interface: `MutableStructure`
      Returns an immutable instance of this structure. In essence, converts this structure to be read-only.

      It is expected that the reference to this mutable structure will be dropped. Note that all method calls invoked on a `MutableStructure` after `toImmutable()` has been invoked will result in an `InvalidMutableException` being thrown.

      Specified by:
        `toImmutable` in interface `MutableStructure`
      Returns:
        an immutable instance of this structure.

    - #### writable

          public boolean writable()

      Description copied from interface: `MutableObject`
      Returns true if this mutable object is still writable. That is, the `#toImmutable()` method (defined on a sub-interface) has not yet been invoked.
      Specified by:
        `writable` in interface `MutableObject`
      Returns:
        true if this mutable object is still writable

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `MBodyPortStats.Array`

    - #### addPortStats

          public MBodyPortStats.MutableArray addPortStats(MBodyPortStats stats)
                                                   throws IncompleteStructureException

      Adds a port stats object to this mutable array.
      Parameters:
        `stats` - the port stats object to add
      Returns:
        self, for chaining
      Throws:
        `InvalidMutableException` - if this array is no longer writable
        `NullPointerException` - if stats is null
        `IllegalArgumentException` - if stats is mutable
        `IncompleteStructureException` - if the port stats is incomplete

Copyright © 2014. All Rights Reserved.